package com.zt.plat.module.contractorder.enums.contract;

/**
 * 合同审核结果
 */
public enum AuditResultEnum {
    /**
     * 合同状态-草稿
     */
    PASS("通过","PASS", null),
    /**
     * 合同状态-正在审核
     */
    REJECT("驳回","REJECT",null);

    AuditResultEnum(String label, String code, String remark) {
        this.label = label;
        this.code = code;
        this.remark = remark;
    }

    /**
     * 标签
     */
    private final String label;
    /**
     * 编码
     */
    private final String code;
    /**
     * 备注
     */
    private final String remark;

    public String getLabel() {
        return label;
    }

    public String getCode() {
        return code;
    }

    public String getRemark() {
        return remark;
    }
}
